View Issue Details

IDProjectCategoryView StatusLast Update
0032429Open CASCADEOCCT:Codingpublic2021-12-30 15:09
Reporterbugmaster Assigned Tokgv  
PrioritynormalSeverityminor 
Status closedResolutionreopened 
Platformarm64 
Product Version7.5.0 
Target Version7.7.0Fixed in Version7.6.0 
Summary0032429: Coding - Warnings during compilation on macosx arm64 with option BUILD_Inspector:BOOL=ON
Descriptionhttp://jenkins-test-11.nnov.opencascade.com/view/WEEK-22_WEEK-22/view/OCCT%20compile/job/WEEK-22_WEEK-22-OCCT-Arm64-macosx-shared-opt-compile/5/warnings10Result/
TagsNo tags attached.
Test case numberNot required

Relationships

related to 0032423 closedsmoskvin Coding Rules - NSOpenGLContext deprecation warnings during compilation for macOS 10.14+ 
child of 0032431 assignedbugmaster Porting OCCT and Products to macOS Big Sur arm64 

Activities

git

2021-06-10 17:45

administrator   ~0101755

Branch CR32429 has been created by kgv.

SHA-1: 7aacf753d2a502a6d1e726de1b437fd60c5c2a67


Detailed log of new commits:

Author: kgv
Date: Thu Jun 10 17:46:20 2021 +0300

    0032429: Coding - Warnings during compilation on macosx arm64 with option BUILD_Inspector:BOOL=ON

kgv

2021-06-18 09:18

developer   ~0101909

Igor, could you please check CR32429 for the issue?
It should eliminate major part of the warnings (but not all) - could be considered for integration as a first step.

bugmaster

2021-06-18 17:36

administrator   ~0101919

Last edited: 2021-06-19 20:34

Latest reference data

http://jenkins-test-11.nnov.opencascade.com/view/WEEK-24_WEEK-24/view/OCCT%20compile/job/WEEK-24_WEEK-24-OCCT-Arm64-macosx-shared-opt-compile/5/warnings10Result/

git

2021-07-06 16:46

administrator   ~0102307

Branch CR32429_2 has been created by kgv.

SHA-1: 9e5e4c0c849d2549afb3ef2b764496562545cb01


Detailed log of new commits:

Author: kgv
Date: Tue Jul 6 16:46:31 2021 +0300

    0032429: Coding - Warnings during compilation on macosx arm64 with option BUILD_Inspector:BOOL=ON - part 2

kgv

2021-07-06 18:12

developer   ~0102310

Please raise the second patch
- OCCT: branch CR32429_2.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32429_2-master-KGV/

kgv

2021-07-09 19:51

developer   ~0102420

Here is the list of remaining compiler warnings.

1. Deprecated OpenGL on macOS:
0032423

2. Deprecated Qt functions in INSPECTOR (not macOS-specific, depend on Qt version):
/OCCT_SRC/tools/TreeModel/TreeModel_Tools.cxx:63:28: warning: 'split' is deprecated: Use Qt::SplitBehavior variant instead [-Wdeprecated-declarations]
  QStringList lst = aValue.split (QRegExp ("[\\s|,]"), QString::SkipEmptyParts);
                           ^
/OCCT_SRC/tools/TreeModel/TreeModel_Tools.cxx:173:52: warning: 'width' is deprecated: Use QFontMetrics::horizontalAdvance [-Wdeprecated-declarations]
  return qMax (aBoundingRect.width(), aFontMetrics.width (theText)) + aTextMargin * 2;
                                                   ^
/OCCT_SRC/tools/TInspector/TInspector_OpenFileDialog.cxx:152:58: warning: 'split' is deprecated: Use Qt::SplitBehavior variant instead [-Wdeprecated-declarations]
    theFileNames = QString(anItemIt.Value().ToCString()).split(";", QString::SkipEmptyParts);
                                                         ^


3. Deprecated functions in IfcOpenShell (not macOS-specific):
In file included from /IFC4_SRC/src/ifcparse/IfcGlobalId.cpp:24:
In file included from /opt/boost/1.76.0/include/boost/uuid/uuid_generators.hpp:17:
In file included from /opt/boost/1.76.0/include/boost/uuid/random_generator.hpp:17:
In file included from /opt/boost/1.76.0/include/boost/random/mersenne_twister.hpp:32:
/opt/boost/1.76.0/include/boost/random/detail/polynomial.hpp:303:20: warning: definition of implicit copy constructor for 'reference' is deprecated because it has a user-declared copy assignment operator [-Wdeprecated-copy]
        reference &operator=(const reference &other)

/IFC4_SRC/src/ifcconvert/../ifcgeom/../ifcgeom/IfcGeomFilter.h:221:45: warning: 'bind1st<std::__1::const_mem_fun1_t<bool, IfcGeom::layer_filter, Ifc4::IfcProduct *>, const IfcGeom::layer_filter *>' is deprecated [-Wdeprecated-declarations]
            return filter::match(prod, std::bind1st(std::mem_fun(&layer_filter::match), this));
                                            ^
warning: 'mem_fun<bool, IfcGeom::entity_filter, Ifc4::IfcProduct *>' is deprecated [-Wdeprecated-declarations]
            return filter::match(prod, std::bind1st(std::mem_fun(&entity_filter::match), this));

bugmaster

2021-07-10 12:23

administrator   ~0102436

Combination -
OCCT branch : IR-2021-07-09
master SHA - cb7f92396f80270e13206be742038ca0ce04571a
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-07-09 SHA - a0de44eb21bec792a53984d50cb770f6679dbbd8
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17537.450000000343 / 17428.46000000034 [+0.63%]
Products
Total CPU difference: 11490.74000000011 / 11521.620000000124 [-0.27%]
Windows-64-VC14:
OCCT
Total CPU difference: 19309.859375 / 19266.640625 [+0.22%]
Products
Total CPU difference: 12831.40625 / 12854.9375 [-0.18%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-07-10 12:40

administrator   ~0102443

Branch CR32429 has been deleted by mnt.

SHA-1: 7aacf753d2a502a6d1e726de1b437fd60c5c2a67

git

2021-07-10 12:40

administrator   ~0102444

Branch CR32429_2 has been deleted by mnt.

SHA-1: 9e5e4c0c849d2549afb3ef2b764496562545cb01

Related Changesets

occt: master 4db6d89b

2021-06-10 14:46:20

kgv


Committer: bugmaster Details Diff
0032429: Coding - Warnings during compilation on macosx arm64 with option BUILD_Inspector:BOOL=ON Affected Issues
0032429
mod - tools/DFBrowser/DFBrowser_Item.hxx Diff File
mod - tools/DFBrowser/DFBrowser_TreeModel.cxx Diff File
mod - tools/DFBrowser/DFBrowser_Window.cxx Diff File
mod - tools/MessageModel/MessageModel_ItemBase.hxx Diff File
mod - tools/VInspector/VInspector_ItemContext.hxx Diff File
mod - tools/VInspector/VInspector_ItemGraphic3dCLight.hxx Diff File
mod - tools/VInspector/VInspector_ItemPresentableObject.hxx Diff File
mod - tools/VInspector/VInspector_ItemSelectMgrViewerSelector.hxx Diff File
mod - tools/VInspector/VInspector_ItemV3dViewer.hxx Diff File

occt: master 9e5e4c0c

2021-07-06 13:46:31

kgv

Details Diff
0032429: Coding - Warnings during compilation on macosx arm64 with option BUILD_Inspector:BOOL=ON - part 2 Affected Issues
0032429
mod - tools/DFBrowser/DFBrowser_ItemBase.hxx Diff File
mod - tools/DFBrowser/DFBrowser_SearchView.cxx Diff File
mod - tools/DFBrowserPane/DFBrowserPane_AttributePaneModel.hxx Diff File
mod - tools/DFBrowserPane/DFBrowserPane_TableView.cxx Diff File
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTreeNodeItem.hxx Diff File
mod - tools/DFBrowserPane/DFBrowserPane_TNamingNamedShape.cxx Diff File
mod - tools/DFBrowserPane/DFBrowserPane_TNamingNamedShape.hxx Diff File
mod - tools/DFBrowserPane/DFBrowserPane_TNamingUsedShapes.hxx Diff File
mod - tools/ShapeView/ShapeView_ItemRoot.hxx Diff File
mod - tools/ShapeView/ShapeView_ItemShape.hxx Diff File
mod - tools/ShapeView/ShapeView_OpenFileDialog.cxx Diff File
mod - tools/ShapeView/ShapeView_Window.cxx Diff File
mod - tools/TInspector/TInspector_OpenFileDialog.cxx Diff File
mod - tools/TInspector/TInspector_Preferences.cxx Diff File
mod - tools/TreeModel/TreeModel_ItemStream.hxx Diff File
mod - tools/TreeModel/TreeModel_ModelBase.cxx Diff File
mod - tools/ViewControl/ViewControl_ColorSelector.cxx Diff File
mod - tools/ViewControl/ViewControl_TableModel.hxx Diff File

Issue History

Date Modified Username Field Change
2021-06-10 16:42 bugmaster New Issue
2021-06-10 16:42 bugmaster Assigned To => kgv
2021-06-10 16:42 bugmaster Status new => assigned
2021-06-10 16:44 bugmaster Summary Coding - Warnings during compilation on MacOS arm64 with option BUILD_Inspector:BOOL=ON => Coding - Warnings during compilation on macosx arm64 with option BUILD_Inspector:BOOL=ON
2021-06-10 16:58 bugmaster Relationship added child of 0032431
2021-06-10 17:45 git Note Added: 0101755
2021-06-18 09:18 kgv Note Added: 0101909
2021-06-18 09:18 kgv Assigned To kgv => bugmaster
2021-06-18 09:18 kgv Status assigned => feedback
2021-06-18 17:36 bugmaster Note Added: 0101919
2021-06-18 17:38 bugmaster Status feedback => reviewed
2021-06-18 18:33 kgv Assigned To bugmaster => kgv
2021-06-18 18:33 kgv Status reviewed => assigned
2021-06-19 11:37 bugmaster Changeset attached => occt master 4db6d89b
2021-06-19 11:37 bugmaster Assigned To kgv => bugmaster
2021-06-19 11:37 bugmaster Status assigned => verified
2021-06-19 11:37 bugmaster Resolution open => fixed
2021-06-19 11:38 bugmaster Status verified => closed
2021-06-19 11:43 kgv Assigned To bugmaster => kgv
2021-06-19 11:43 kgv Status closed => feedback
2021-06-19 11:43 kgv Resolution fixed => reopened
2021-06-19 11:43 kgv Status feedback => assigned
2021-06-19 11:43 kgv Product Version => 7.5.0
2021-06-19 20:34 bugmaster Note Edited: 0101919
2021-07-06 16:46 git Note Added: 0102307
2021-07-06 18:12 kgv Note Added: 0102310
2021-07-06 18:12 kgv Assigned To kgv => bugmaster
2021-07-06 18:12 kgv Status assigned => resolved
2021-07-06 18:12 kgv Status resolved => reviewed
2021-07-09 19:51 kgv Note Added: 0102420
2021-07-09 19:51 kgv Relationship added related to 0032423
2021-07-10 12:23 bugmaster Note Added: 0102436
2021-07-10 12:23 bugmaster Status reviewed => tested
2021-07-10 12:29 bugmaster Test case number => Not required
2021-07-10 12:30 kgv Changeset attached => occt master 9e5e4c0c
2021-07-10 12:30 kgv Assigned To bugmaster => kgv
2021-07-10 12:30 kgv Status tested => verified
2021-07-10 12:40 git Note Added: 0102443
2021-07-10 12:40 git Note Added: 0102444
2021-12-30 15:09 szy Target Version 7.6.0 => 7.7.0